package it.unibo.tw0708.utils;

import junit.framework.TestCase;

public class ValentineTester extends TestCase {

	/*
	 * Test method for 'it.unibo.tw0708.utils.Valentine.heartMatch(String, String)'
	 */
	public void testHeartMatch() {
		try {
			int score = Valentine.heartMatch("Andrea","Andrea");
			assertEquals("Two persons with the same name have no chances...",0,score);
		}
		catch (Exception e) {
			fail("Something went wrong while heart matching...");
		}
	}

	/*
	 * Test method for 'it.unibo.tw0708.utils.Valentine.fortuneTell(String, String)'
	 */
	public void testFortuneTell() {
		String story = Valentine.fortuneTell("Andrea","Andrea");
		assertTrue("Too similar",story.startsWith("Two too"));
	}

	/*
	 * Test method for 'it.unibo.tw0708.utils.Valentine.fortuneTell(String, String)'
	 */
	public void testFortuneTell_AtLeastTwo() {
		String story = Valentine.fortuneTell("Andrea","");
		assertTrue("Too similar",story.contains("needed"));
		story = Valentine.fortuneTell("Andrea",null);
		assertTrue("Too similar",story.contains("needed"));
		story = Valentine.fortuneTell("","Andrea");
		assertTrue("Too similar",story.contains("needed"));
		story = Valentine.fortuneTell(null,"Andrea");
		assertTrue("Too similar",story.contains("needed"));
	}

}
